VegBank - Bug #841

Limit number of plots uploaded based on certification:test and eval

11/13/2002 01:58 PM - Michael Lee

Status: Resolved Start date: 11/13/2002
Priority: Normal Due date:

Assignee: Michael Lee % Done: 0%
Category: misc Estimated time: 0.00 hour
Target version: 3.0.0 Spent time: 0.00 hour
Bugzilla-ld: 841

Description

ML tests; TEST & BUS RULES

Related issues:
Blocks VegBank - Bug #907: Business Rules:Geographic scope
Blocks VegBank - Bug #919: Advanced IP system, user-specific filtering of data

Resolved 11/13/2002
New 11/27/2002

History

#1 - 04/23/2003 02:28 PM - Michael Lee

see bug 907 for rules on where and who and how many may be uploaded to VegBank

#2 - 11/22/2003 12:07 AM - Michael Lee

we should create and store 2 userPreferences that they cannot control, or at
least can't override: (maybe add a field: preferenceType. values: internal,
user-set)

1) userPlotQuota : ### (plots max may be uploaded)
2) currentPlotsUploaded : ### (plots so far uploaded).

If a user attempts to load more than the quota, then the plots get rejected and
a note gets sent to them telling them why. Some rules need to be devised for
letting some users submit more plots than the normal quota. In this case,
preference #1 gets upped to a higher #.

#3 - 11/08/2004 07:59 PM - Michael Lee
number of plots loaded per certified user covered in bug 907
® This bug has been marked as a duplicate of 907 ***

#4 - 01/31/2005 02:54 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#5 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 841
